| FlatBuffers An open source project by FPL.

- Programmer's Guide
- Platform / Language / Feature support
- Benchmarks
- FlatBuffers white paper
- FlatBuffers internals
- Grammar of the schema language
- API Reference
- Contributing

- APIs
- Class List

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
flatbuffers::Allocator Class Referenceabstract
Inheritance diagram for flatbuffers::Allocator:

## Public Member Functions
virtual uint8_t * | allocate (size_t size)=0
virtual void | deallocate (uint8_t *p, size_t size)=0
virtual uint8_t * | reallocate_downward (uint8_t *old_p, size_t old_size, size_t new_size)

The documentation for this class was generated from the following file:

- flatbuffers.h